FooterPartitionImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class FooterPartitionImpl

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.PartitionImpl
  - - tv.amwa.maj.io.mxf.impl.FooterPartitionImpl

- All Implemented Interfaces:
    Cloneable, MetadataObject, FooterPartition, Partition

      public class FooterPartitionImpl
      extends PartitionImpl
      implements FooterPartition, MetadataObject

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.Partition

      `SIZE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FooterPartitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FooterPartition` | `clone()` Create a cloned copy of this partition.
    `FooterPartitionPack` | `getPartitionPack()` Returns the partition pack that describes this partition, including its size and what it contains.
    `void` | `setPartitionPack(FooterPartitionPack footerPartitionPack)` Set the footer partition pack that describes this footer partition, including what it contains and its size.
    `void` | `setPartitionPackPadding(long paddingFillSize)` Set the amount of padding to include after each significant entry in the partition, allowing space for the metadata to expand over time.

    - ### Methods inherited from class tv.amwa.maj.io.mxf.impl.PartitionImpl

      `getActualSize, getInitialSize, hasEssenceContainer, hasHeaderMetadata, hasIndexTable, partitionFactory, readHeaderMetadata, readIndexTableSegment, setActualSize, setInitialDataSize, toString, updateSizes, writeHeaderMetadata, writeIndexTableSegment, writePartitionPack, writeSingleIndexSegment`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Partition

      `getActualSize, getInitialSize, hasEssenceContainer, hasHeaderMetadata, hasIndexTable, readHeaderMetadata, readIndexTableSegment, setInitialDataSize, updateSizes, writeHeaderMetadata, writeIndexTableSegment, writeSingleIndexSegment`

- - ### Constructor Detail

    - #### FooterPartitionImpl

          public FooterPartitionImpl()

  - ### Method Detail

    - #### getPartitionPack

          public FooterPartitionPack getPartitionPack()

      Description copied from interface: `Partition`

      Returns the partition pack that describes this partition, including its size and what it contains.

      Specified by:
        `getPartitionPack` in interface `FooterPartition`
      Specified by:
        `getPartitionPack` in interface `Partition`
      Specified by:
        `getPartitionPack` in class `PartitionImpl`
      Returns:
        Partition pack that describes this partition.
      See Also:
        `HeaderPartition.getPartitionPack()`, `FooterPartition.getPartitionPack()`, `BodyPartition.getPartitionPack()`

    - #### setPartitionPack

          public void setPartitionPack(FooterPartitionPack footerPartitionPack)
                                throws NullPointerException

      Description copied from interface: `FooterPartition`

      Set the footer partition pack that describes this footer partition, including what it contains and its size.

      Specified by:
        `setPartitionPack` in interface `FooterPartition`
      Parameters:
        `footerPartitionPack` - Footer partition pack describing this footer partition.
      Throws:
        `NullPointerException` - Cannot set the footer partition pack with a `null` value.

    - #### setPartitionPackPadding

          public void setPartitionPackPadding(long paddingFillSize)
                                       throws IllegalArgumentException

      Description copied from interface: `Partition`

      Set the amount of padding to include after each significant entry in the partition, allowing space for the metadata to expand over time.

      Specified by:
        `setPartitionPackPadding` in interface `Partition`
      Specified by:
        `setPartitionPackPadding` in class `PartitionImpl`
      Parameters:
        `paddingFillSize` - Size of padding to include after the partition.
      Throws:
        `IllegalArgumentException` - Cannot set the padding size to a negative value.
      See Also:
        `Padded.getPaddingFillSize()`, `Padded.setPaddingFillSize(long)`

    - #### clone

          public FooterPartition clone()

      Description copied from interface: `Partition`

      Create a cloned copy of this partition.

      Specified by:
        `clone` in interface `FooterPartition`
      Specified by:
        `clone` in interface `Partition`
      Overrides:
        `clone` in class `PartitionImpl`
      Returns:
        Cloned copy of this partition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.